Upgrade to 10.0.1 from 9.0.4 Run/Debug Configuration Error showstopper

Hello Jetbrains/IDEA users and gurus. I have been using 9.0.4 for several months for the company project. Urged by my co-worker to upgrade from 9.0.4 to 10.0.1 I reluctantly did so at a cost. Now, I can't run the project. Navigating to: Run/Debug Configuration the error encountered is:

Run Configuration Error: broken configuration due to unavailable plugin or invalid configuration data.

Under the Run/Debug Configurations the Defaults tree root displays no Grails settings or the little Grails icon as is displayed in my 9.0.4 version of Intellij.

Please advise.



I just saw this:

http://devnet.jetbrains.net/message/5226877#5226877

2 comments
Comment actions Permalink

Hello David,

Do you have the Grails/Griffon plugin enabled in Settings | Plugins?

Hello Jetbrains/IDEA users and gurus. I have been using 9.0.4 for
several months for the company project. Urged by my co-worker to
upgrade from 9.0.4 to 10.0.1 I reluctantly did so at a cost. Now, I
can't run the project. Navigating to: Run/Debug Configuration the
error encountered is:

Run Configuration Error: broken configuration due to unavailable
plugin or invalid configuration data.

Under the Run/Debug Configurations the Defaults tree root displays no
Grails settings or the little Grails icon as is displayed in my 9.0.4
version of Intellij.

Please advise.


--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Hello Dmitry, thanks for the speedy reply. Yes, I have the Grails enabled and is
available under the Run/Debug Configuration Defaults. However, I cannot supp
ly the module text field value (grayed-out).As a consequence I cannot run the app though I am able to run from the Grails command-line (grails run-app). The project has languished for 2 days and so I'm behind. I will have to go back to 9.0.4 to continue working. I can't spend more time on this issue. I seems that IDEA could upgrade w/o killing long term projects but I suspect there are just too many dependencies.

0

Please sign in to leave a comment.